import SambaNova from 'sambanova';const client = new SambaNova({ apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted});const embeddingsResponse = await client.embeddings.create({ input: ['text to embed number 1', 'text to embed number 2'], model: 'E5-Mistral-7B-Instruct',});console.log(embeddingsResponse.data);
import os
from sambanova import SambaNova
client = SambaNova(
api_key=os.environ.get("SAMBANOVA_API_KEY"), # This is the default and can be omitted
)
embeddings_response = client.embeddings.create(
input=["text to embed number 1", "text to embed number 2"],
model="E5-Mistral-7B-Instruct",
)
print(embeddings_response.data)
curl --request POST \
--url https://api.sambanova.ai/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
"text to embed number 1",
"text to embed number 2"
],
"model": "E5-Mistral-7B-Instruct"
}
'
import SambaNova from 'sambanova';const client = new SambaNova({ apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted});const embeddingsResponse = await client.embeddings.create({ input: ['text to embed number 1', 'text to embed number 2'], model: 'E5-Mistral-7B-Instruct',});console.log(embeddingsResponse.data);
import os
from sambanova import SambaNova
client = SambaNova(
api_key=os.environ.get("SAMBANOVA_API_KEY"), # This is the default and can be omitted
)
embeddings_response = client.embeddings.create(
input=["text to embed number 1", "text to embed number 2"],
model="E5-Mistral-7B-Instruct",
)
print(embeddings_response.data)
curl --request POST \
--url https://api.sambanova.ai/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
"text to embed number 1",
"text to embed number 2"
],
"model": "E5-Mistral-7B-Instruct"
}
'
SambaNova API key, sent as a bearer token in the Authorization header (Authorization: Bearer <key>). Default authentication scheme used by the SambaNova SDK across every OpenAI compatible endpoint.
Body
application/json
Texts to embed and parameters
embeddings request object. Unknown fields are rejected with a 400 (unknown_parameter) error.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"SambaNova Documentation","colors":{"primary":"#974FC7","light":"#974FC7","dark":"#974FC7"},"logo":{"light":"https://mintcdn.com/sambanova-systems/SM8Xs_Eg3x1tlCPk/logo/new-logo.png?fit=max\u0026auto=format\u0026n=SM8Xs_Eg3x1tlCPk\u0026q=85\u0026s=20f20c2369b8f043d9b2ffa55408fd8d","dark":"https://mintcdn.com/sambanova-systems/Jn3W9iRFUNw6zFv7/logo/new-logo-dark.png?fit=max\u0026auto=format\u0026n=Jn3W9iRFUNw6zFv7\u0026q=85\u0026s=660233c9a1affaf1ed08785472551190","href":"https://sambanova.ai"},"favicon":"https://mintcdn.com/sambanova-systems/tKEjjixpklKce6C2/favicon.webp?fit=max\u0026auto=format\u0026n=tKEjjixpklKce6C2\u0026q=85\u0026s=f345bba634c9e3c52db898e169393d6b","api":{"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json","mdx":{"server":["https://api.sambanovacloud.com/"]}},"appearance":{"default":"system"},"background":{"color":{"light":"#f9fafb","dark":"#262626"}},"navbar":{"links":[{"href":"https://community.sambanova.ai","label":"Community"}],"primary":{"type":"button","label":"Try It Now","href":"https://cloud.sambanova.ai/?_gl=1*i3sino*_gcl_au*MzM0MDE5MzAwLjE3MjkwMTkyNzk.*_ga*MTk0NTY3NjQ1NC4xNzI5MDE5Mjg4*_ga_2D4J2VB6SX*MTcyOTA1ODE3OS4zLjAuMTcyOTA1ODE5Ni40My4wLjA."}},"footer":{"socials":{"youtube":"https://www.youtube.com/c/SambaNovaSystems/featured","x":"https://twitter.com/SambaNovaAI","linkedin":"https://www.linkedin.com/company/sambanova-systems"},"links":[{"header":"Company","items":[{"label":"About us","href":"https://sambanova.ai/company/about"},{"label":"Careers","href":"https://sambanova.ai/company/careers"},{"label":"Newsroom","href":"https://sambanova.ai/press"},{"label":"Contact us","href":"https://sambanova.ai/contact"}]},{"header":"Resources","items":[{"label":"Blog","href":"https://sambanova.ai/resources/tag/blog"},{"label":"Case studies","href":"https://sambanova.ai/resources/tag/case-study"},{"label":"White papers","href":"https://sambanova.ai/resources/tag/white-paper"},{"label":"Events","href":"https://sambanova.ai/events"}]},{"header":"Developers","items":[{"label":"SambaAcademy","href":"https://sambanova.ai/samba-academy"},{"label":"Pricing","href":"https://cloud.sambanova.ai/plans/pricing"}]},{"header":"Support and legal","items":[{"label":"Support","href":"https://sambanova.ai/support"},{"label":"Legal agreements","href":"https://sambanova.ai/legal-agreements"},{"label":"Privacy policy","href":"https://sambanova.ai/privacy-policy"}]}]},"seo":{"paths":[{"path":"en/v0.5.17","metatags":{"robots":"noindex, follow"}},{"path":"ja/v0.5.17","metatags":{"robots":"noindex, follow"}},{"path":"en/v1.0.57","metatags":{"robots":"noindex, follow"}},{"path":"ja/v1.0.57","metatags":{"robots":"noindex, follow"}},{"path":"en/v1.1.1","metatags":{"robots":"noindex, follow"}},{"path":"ja/v1.1.1","metatags":{"robots":"noindex, follow"}},{"path":"en/v1.2.0","metatags":{"robots":"noindex, follow"}},{"path":"ja/v1.2.0","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.0.2","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.0.2","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.1.1","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.1.1","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.1.2","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.1.2","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.2.3","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.2.3","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.2.5","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.2.5","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.2.6","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.2.6","metatags":{"robots":"noindex, follow"}}]},"styling":{"codeblocks":{},"latex":true},"integrations":{"ga4":{"measurementId":"G-J9NMQGJS7S"},"mixpanel":{"projectToken":"ae12e973ba11b9259ca8f76fc03db5e1"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sambanova-systems","hasAudioNarration":false,"actualSubdomain":"sambanova-systems","customDomains":["docs.sambanova.ai"],"gitSource":{"type":"github","owner":"sambanova","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af6ed60e90c1f4f013ea583","clientVersion":"0.0.4138","searchFilterCounts":[{"language":"en","tag":"SambaStack","count":593},{"language":"ja","tag":"SambaStack","count":526},{"language":"en","tag":"Hardware Administration","count":205},{"language":"en","tag":"Service Administration","count":203},{"language":"ja","tag":"ハードウェア管理","count":181},{"language":"ja","tag":"サービス管理","count":180},{"language":"en","tag":"SambaRack Manager","count":139},{"language":"ja","tag":"SambaRack Manager","count":121},{"language":"en","tag":"Model deployment","count":108},{"language":"ja","tag":"モデルデプロイ","count":92},{"language":"en","tag":"Integrations","count":81},{"language":"en","tag":"Reference Architecture","count":80},{"language":"ja","tag":"外部ツール連携","count":74},{"language":"en","tag":"Resources","count":73},{"language":"ja","tag":"リファレンスアーキテクチャ","count":70},{"language":"en","tag":"Monitoring and Observability","count":66},{"language":"ja","tag":"リソース","count":66},{"language":"ja","tag":"監視と可観測性","count":60},{"language":"en","tag":"Deploying models and bundles","count":42},{"language":"ja","tag":"プラットフォーム管理","count":35},{"language":"default","tag":"API reference","count":21},{"language":"default","tag":"Chat Agents API","count":11},{"language":"default","tag":"Inference API","count":10},{"language":"default","tag":"Subagents Interactive","count":4},{"language":"default","tag":"Subagents","count":4},{"language":"default","tag":"Audio","count":2},{"language":"default","tag":"Messages","count":2},{"language":"default","tag":"Models","count":2},{"language":"default","tag":"Chat completions","count":1},{"language":"default","tag":"Completions","count":1}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".logo-container{display:flex;align-items:center;justify-content:center;height:48px;margin-bottom:1rem}.logo-container img{max-width:100%;max-height:100%;width:auto;height:32px;object-fit:contain}.eyebrow{display:block;font-size:0.75rem;font-weight:500;text-transform:uppercase;color:#6B7280;margin-bottom:0.5rem;letter-spacing:0.05em}.page-description{display:none}.dark body,.dark p,.dark li,.dark td,.dark th,.dark h1,.dark h2,.dark h3,.dark h4,.dark h5,.dark h6{color:#E6E6E3}.dark [class*=\"muted\"],.dark [class*=\"secondary\"],.dark [class*=\"subtitle\"],.dark [class*=\"description\"]{color:#B3B3AE}.dark .card{background-color:#2e2e2e!important}#sidebar{background-color:#f3f4f6}.dark #sidebar{background-color:#202020}div:has(>#sidebar){padding-left:8px!important;padding-right:8px!important;margin-left:0!important;max-width:1680px!important}#content{max-width:880px!important}#navbar>.max-w-8xl{margin-left:0!important}#navbar div.lg\\:px-12{padding-left:24px!important}#navbar div.px-12{padding-left:24px!important}div:has(>#content-side-layout){gap:1.5rem!important}.prose p,.prose li,.prose>span,.prose .prose{font-size:14px!important;line-height:20px!important}#sidebar button svg{color:#4B5563!important;width:12px!important}.dark #sidebar button svg{color:#9CA3AF!important}#sidebar{border-right:1px solid rgba(0, 0, 0, 0.08)}.dark #sidebar{border-right:1px solid rgba(255, 255, 255, 0.08)}#sidebar button{justify-content:space-between!important}.itable{overflow-x:auto}.itable table{table-layout:fixed;width:100%}.itable th:first-child,.itable td:first-child{width:190px}@media (max-width: 640px){.itable table{table-layout:auto;width:auto;min-width:100%}.itable th:first-child,.itable td:first-child{width:auto}}.irow-hidden,.itable-hidden,.iheading-hidden{display:none}.integration-filter-input{display:block;width:100%;max-width:420px;font:inherit;font-size:14px;padding:10px 14px;border:1px solid rgba(0, 0, 0, 0.12);border-radius:8px;margin:4px 0 28px;background:transparent;color:inherit}.dark .integration-filter-input{border-color:rgba(255, 255, 255, 0.16)}"}],"page":{"pagePath":"api-reference/embeddings/create-embeddings","slug":"/api-reference/embeddings/create-embeddings","pageMetadata":{"title":"Create embeddings","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /embeddings","href":"/api-reference/embeddings/create-embeddings","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{},"config":{},"pageMetadata":{"title":"Create embeddings","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /embeddings","href":"/api-reference/embeddings/create-embeddings","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"createEmbedding","tags":["Embeddings"],"summary":"Create embeddings","security":["5f3ed750-d9a3-4f06-93fd-9499f6ae491c"],"requestBody":"b0f6af12-38e9-4308-89dc-3b0df144db1e","responses":{"200":"a6109014-d8db-4bc8-8e09-5959615e1954","400":"66755970-178d-4a93-ab63-3983cfe80345","401":"0547717c-d177-461e-b782-36899b37d1f0","404":"8c6ad5f6-c3d3-4894-94e8-13aae289ac18","408":"be7d94a6-defe-4fda-8396-a03a1548bf2d","410":"9a0c4a00-fc9b-4136-8f7b-72f48375d76b","429":"84fae0b0-762a-4664-9e38-562a614a9e1f","500":"8f634e9b-95e3-4372-927d-3dfc67864219","503":"465618e6-595e-49c7-8924-31b443367f20"},"x-codeSamples":[{"lang":"JavaScript","source":"import SambaNova from 'sambanova';\n\nconst client = new SambaNova({\n apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted\n});\n\nconst embeddingsResponse = await client.embeddings.create({\n input: ['text to embed number 1', 'text to embed number 2'],\n model: 'E5-Mistral-7B-Instruct',\n});\n\nconsole.log(embeddingsResponse.data);"},{"lang":"Python","source":"import os\nfrom sambanova import SambaNova\n\nclient = SambaNova(\n api_key=os.environ.get(\"SAMBANOVA_API_KEY\"), # This is the default and can be omitted\n)\nembeddings_response = client.embeddings.create(\n input=[\"text to embed number 1\", \"text to embed number 2\"],\n model=\"E5-Mistral-7B-Instruct\",\n)\nprint(embeddings_response.data)"}],"method":"post","type":"path","servers":["b709db63-5fc4-4727-be6d-2a9dac334711"],"path":"/embeddings","baseUrlOptions":["https://api.sambanova.ai/v1"],"title":"Create embeddings","description":"","codeSamples":[{"lang":"JavaScript","source":"import SambaNova from 'sambanova';\n\nconst client = new SambaNova({\n apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted\n});\n\nconst embeddingsResponse = await client.embeddings.create({\n input: ['text to embed number 1', 'text to embed number 2'],\n model: 'E5-Mistral-7B-Instruct',\n});\n\nconsole.log(embeddingsResponse.data);"},{"lang":"Python","source":"import os\nfrom sambanova import SambaNova\n\nclient = SambaNova(\n api_key=os.environ.get(\"SAMBANOVA_API_KEY\"), # This is the default and can be omitted\n)\nembeddings_response = client.embeddings.create(\n input=[\"text to embed number 1\", \"text to embed number 2\"],\n model=\"E5-Mistral-7B-Instruct\",\n)\nprint(embeddings_response.data)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"title":"Embeddings Request","type":"object","description":"embeddings request object. Unknown fields are rejected with a `400` (`unknown_parameter`) error.","additionalProperties":false,"properties":{"model":{"oneOf":[{"type":"string","title":"Model","description":"The model ID to use See available [models](https://docs.sambanova.ai/docs/en/models/sambacloud-models)","isRequired":true,"uniqueKey":"model.oneOf.0","typeLabel":"string"},{"type":"string","title":"Model","description":"The model ID to use See available [models](https://docs.sambanova.ai/docs/en/models/sambacloud-models)","enum":["E5-Mistral-7B-Instruct"],"isRequired":true,"uniqueKey":"model.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"model","typeLabel":"string | enum\u003cstring>"},"input":{"oneOf":[{"type":"string","title":"input","description":"The string that will be turned into an embedding.","isRequired":true,"uniqueKey":"input.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"input.oneOf.1.items.[INDEX]","typeLabel":"string"},"title":"input","description":"The array of strings that will be turned into an embeddings.","minItems":1,"isRequired":true,"uniqueKey":"input.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"input","typeLabel":"string | string[]"},"encoding_format":{"oneOf":[{"title":"Encoding Format","description":"The format to return the embeddings in. Can be either `float` or `base64`. Omitted from the request when not set.","type":"string","enum":["float","base64"],"default":"float","uniqueKey":"encoding_format.oneOf.0","typeLabel":"enum\u003cstring>"},{"title":"Encoding Format","description":"The format to return the embeddings in. Can be either `float` or `base64`. Omitted from the request when not set.","type":"null","enum":["float","base64"],"default":"float","uniqueKey":"encoding_format.oneOf.1","typeLabel":"null"}],"uniqueKey":"encoding_format","typeLabel":"enum\u003cstring> | null"}},"required":["model","input"],"example":{"input":["text to embed number 1","text to embed number 2"],"model":"E5-Mistral-7B-Instruct"},"uniqueKey":"","typeLabel":"Embeddings Request · object"},"examples":{"Example":{"title":"Example","value":{"input":["text to embed number 1","text to embed number 2"],"model":"E5-Mistral-7B-Instruct"}}},"exampleType":"generated"}},"description":"Texts to embed and parameters","required":true,"exampleType":"generated"},"responses":{"a6109014-d8db-4bc8-8e09-5959615e1954":{"description":"Successful response","content":{"application/json":{"schema":{"title":"Embeddings Response","type":"object","description":"Embeddings response returned by the model","properties":{"object":{"title":"object","type":"string","description":"The object type, which is always \"list\".","enum":["list"],"isRequired":true,"uniqueKey":"object","typeLabel":"enum\u003cstring>"},"model":{"type":"string","description":"The name of the model used to generate the embedding.","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"usage":{"oneOf":[{"title":"Usage","type":"object","description":"Usage metrics for the completion, embeddings,transcription or translation request","additionalProperties":true,"properties":{"acceptance_rate":{"title":"Acceptance Rate","type":"number","description":"acceptance rate","uniqueKey":"usage.oneOf.0.acceptance_rate","typeLabel":"number"},"completion_tokens":{"title":"Completion Tokens","type":"integer","description":"number of tokens generated in completion","uniqueKey":"usage.oneOf.0.completion_tokens","typeLabel":"integer"},"completion_tokens_after_first_per_sec":{"title":"Completion Tokens After First Per Sec","type":"number","description":"completion tokens per second after first token generation","uniqueKey":"usage.oneOf.0.completion_tokens_after_first_per_sec","typeLabel":"number"},"completion_tokens_after_first_per_sec_first_ten":{"title":"Completion Tokens After First Per Sec First Ten","type":"number","description":"completion tokens per second after first token generation first ten","uniqueKey":"usage.oneOf.0.completion_tokens_after_first_per_sec_first_ten","typeLabel":"number"},"completion_tokens_after_first_per_sec_graph":{"title":"Completion Tokens After First Per Sec Graph","type":"number","description":"completion tokens per second after first token generation","uniqueKey":"usage.oneOf.0.completion_tokens_after_first_per_sec_graph","typeLabel":"number"},"completion_tokens_per_sec":{"title":"Completion Tokens Per Sec","type":"number","description":"completion tokens per second","uniqueKey":"usage.oneOf.0.completion_tokens_per_sec","typeLabel":"number"},"end_time":{"title":"End Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation finished.","uniqueKey":"usage.oneOf.0.end_time","typeLabel":"number"},"is_last_response":{"title":"Is Last Response","type":"boolean","description":"whether or not is last response, always true for non streaming response","const":true,"uniqueKey":"usage.oneOf.0.is_last_response","typeLabel":"boolean"},"prompt_tokens_details":{"title":"Prompt tokens details","type":"object","description":"Extra tokens details","additionalProperties":true,"properties":{"cached_tokens":{"title":"Cached tokens","description":"amount of cached tokens","type":"integer","uniqueKey":"usage.oneOf.0.prompt_tokens_details.cached_tokens","typeLabel":"integer"}},"uniqueKey":"usage.oneOf.0.prompt_tokens_details","typeLabel":"Prompt tokens details · object"},"prompt_tokens":{"title":"Prompt Tokens","type":"integer","description":"number of tokens used in the prompt sent","uniqueKey":"usage.oneOf.0.prompt_tokens","typeLabel":"integer"},"start_time":{"title":"Start Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation started.","uniqueKey":"usage.oneOf.0.start_time","typeLabel":"number"},"time_to_first_token":{"title":"Time To First Token","type":"number","description":"also TTF, time (in seconds) taken to generate the first token","uniqueKey":"usage.oneOf.0.time_to_first_token","typeLabel":"number"},"time_to_first_token_graph":{"title":"Time To First Token Graph","type":"number","description":"Time (in seconds) to first token, adjusted for graph rendering. May differ slightly from time_to_first_token.","uniqueKey":"usage.oneOf.0.time_to_first_token_graph","typeLabel":"number"},"stop_reason":{"oneOf":[{"title":"Stop Reason","type":"string","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level.","uniqueKey":"usage.oneOf.0.stop_reason.oneOf.0","typeLabel":"string"},{"title":"Stop Reason","type":"null","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level.","uniqueKey":"usage.oneOf.0.stop_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"usage.oneOf.0.stop_reason","typeLabel":"string | null"},"completion_tokens_details":{"oneOf":[{"title":"Completion Tokens Details","type":"object","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models.","uniqueKey":"usage.oneOf.0.completion_tokens_details.oneOf.0.reasoning_tokens","typeLabel":"integer"}},"uniqueKey":"usage.oneOf.0.completion_tokens_details.oneOf.0","typeLabel":"Completion Tokens Details · object"},{"title":"Completion Tokens Details","type":"null","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}},"uniqueKey":"usage.oneOf.0.completion_tokens_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"usage.oneOf.0.completion_tokens_details","typeLabel":"Completion Tokens Details · object | null"},"total_latency":{"title":"Total Latency","type":"number","description":"total time (in seconds) taken to generate the full generation","uniqueKey":"usage.oneOf.0.total_latency","typeLabel":"number"},"total_tokens":{"title":"Total Tokens","type":"integer","description":"prompt tokens + completion tokens","uniqueKey":"usage.oneOf.0.total_tokens","typeLabel":"integer"},"total_tokens_per_sec":{"title":"Total Tokens Per Sec","type":"number","description":"tokens per second including prompt and completion","uniqueKey":"usage.oneOf.0.total_tokens_per_sec","typeLabel":"number"}},"examples":[{"completion_tokens":260,"completion_tokens_after_first_per_sec":422.79282728043336,"completion_tokens_after_first_per_sec_first_ten":423.6108998455803,"completion_tokens_after_first_per_sec_graph":423.6108998455803,"completion_tokens_per_sec":314.53312043711406,"completion_tokens_details":{"reasoning_tokens":55},"end_time":1776189309.02061,"is_last_response":true,"prompt_tokens":90,"prompt_tokens_details":{"cached_tokens":0},"start_time":1776189308.193988,"stop_reason":"stop","time_to_first_token":0.21402883529663086,"time_to_first_token_graph":0.2102978229522705,"total_latency":0.8266220092773438,"total_tokens":350,"total_tokens_per_sec":423.40996981919204},{"prompt_tokens":43,"total_tokens":393}],"isRequired":true,"uniqueKey":"usage.oneOf.0","typeLabel":"Usage · object"},{"title":"Usage","type":"null","description":"Usage metrics for the completion, embeddings,transcription or translation request","additionalProperties":true,"properties":{"acceptance_rate":{"title":"Acceptance Rate","type":"number","description":"acceptance rate"},"completion_tokens":{"title":"Completion Tokens","type":"integer","description":"number of tokens generated in completion"},"completion_tokens_after_first_per_sec":{"title":"Completion Tokens After First Per Sec","type":"number","description":"completion tokens per second after first token generation"},"completion_tokens_after_first_per_sec_first_ten":{"title":"Completion Tokens After First Per Sec First Ten","type":"number","description":"completion tokens per second after first token generation first ten"},"completion_tokens_after_first_per_sec_graph":{"title":"Completion Tokens After First Per Sec Graph","type":"number","description":"completion tokens per second after first token generation"},"completion_tokens_per_sec":{"title":"Completion Tokens Per Sec","type":"number","description":"completion tokens per second"},"end_time":{"title":"End Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation finished."},"is_last_response":{"title":"Is Last Response","type":"boolean","description":"whether or not is last response, always true for non streaming response","const":true},"prompt_tokens_details":{"title":"Prompt tokens details","type":"object","description":"Extra tokens details","additionalProperties":true,"properties":{"cached_tokens":{"title":"Cached tokens","description":"amount of cached tokens","type":"integer"}}},"prompt_tokens":{"title":"Prompt Tokens","type":"integer","description":"number of tokens used in the prompt sent"},"start_time":{"title":"Start Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation started."},"time_to_first_token":{"title":"Time To First Token","type":"number","description":"also TTF, time (in seconds) taken to generate the first token"},"time_to_first_token_graph":{"title":"Time To First Token Graph","type":"number","description":"Time (in seconds) to first token, adjusted for graph rendering. May differ slightly from time_to_first_token."},"stop_reason":{"oneOf":[{"title":"Stop Reason","type":"string","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level."},{"title":"Stop Reason","type":"null","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level."}]},"completion_tokens_details":{"oneOf":[{"title":"Completion Tokens Details","type":"object","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}}},{"title":"Completion Tokens Details","type":"null","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}}}]},"total_latency":{"title":"Total Latency","type":"number","description":"total time (in seconds) taken to generate the full generation"},"total_tokens":{"title":"Total Tokens","type":"integer","description":"prompt tokens + completion tokens"},"total_tokens_per_sec":{"title":"Total Tokens Per Sec","type":"number","description":"tokens per second including prompt and completion"}},"examples":[{"completion_tokens":260,"completion_tokens_after_first_per_sec":422.79282728043336,"completion_tokens_after_first_per_sec_first_ten":423.6108998455803,"completion_tokens_after_first_per_sec_graph":423.6108998455803,"completion_tokens_per_sec":314.53312043711406,"completion_tokens_details":{"reasoning_tokens":55},"end_time":1776189309.02061,"is_last_response":true,"prompt_tokens":90,"prompt_tokens_details":{"cached_tokens":0},"start_time":1776189308.193988,"stop_reason":"stop","time_to_first_token":0.21402883529663086,"time_to_first_token_graph":0.2102978229522705,"total_latency":0.8266220092773438,"total_tokens":350,"total_tokens_per_sec":423.40996981919204},{"prompt_tokens":43,"total_tokens":393}],"isRequired":true,"uniqueKey":"usage.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"usage","typeLabel":"Usage · object | null"},"data":{"type":"array","description":"The list of embeddings generated by the model.","items":{"type":"object","title":"Embedding","description":"Represents an embedding vector returned by embeddings endpoint.","properties":{"index":{"type":"integer","title":"index","description":"The index of the embedding in the list of embeddings.","isRequired":true,"uniqueKey":"data.items.[INDEX].index","typeLabel":"integer"},"object":{"type":"string","title":"object","description":"Object type, always embedding.","enum":["embedding"],"isRequired":true,"uniqueKey":"data.items.[INDEX].object","typeLabel":"enum\u003cstring>"},"embedding":{"oneOf":[{"type":"array","items":{"type":"number","uniqueKey":"data.items.[INDEX].embedding.oneOf.0.items.[INDEX]","typeLabel":"number"},"title":"embedding","description":"List of floats containing the embedding vector.","isRequired":true,"uniqueKey":"data.items.[INDEX].embedding.oneOf.0","typeLabel":"number[]"},{"type":"null","items":{"type":"number"},"title":"embedding","description":"List of floats containing the embedding vector.","isRequired":true,"uniqueKey":"data.items.[INDEX].embedding.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].embedding","typeLabel":"number[] | null"}},"required":["index","object","embedding"],"uniqueKey":"data.items.[INDEX]","typeLabel":"Embedding · object"},"isRequired":true,"uniqueKey":"data","typeLabel":"Embedding · object[]"}},"required":["object","model","usage","data"],"example":{"data":[{"index":0,"object":"embedding","embedding":[0.024864232167601585,-0.01452154759317636,0.008880083449184895]},{"index":1,"object":"embedding","embedding":[0.010919672437012196,0.0016351072117686272,0.008019134402275085]}],"model":"E5-Mistral-7B-Instruct","object":"list","usage":{"prompt_tokens":716,"total_tokens":716}},"uniqueKey":"","typeLabel":"Embeddings Response · object"},"examples":{"Example":{"title":"Example","value":{"data":[{"index":0,"object":"embedding","embedding":[0.024864232167601585,-0.01452154759317636,0.008880083449184895]},{"index":1,"object":"embedding","embedding":[0.010919672437012196,0.0016351072117686272,0.008019134402275085]}],"model":"E5-Mistral-7B-Instruct","object":"list","usage":{"prompt_tokens":716,"total_tokens":716}}}},"exampleType":"generated"}},"exampleType":"generated"},"66755970-178d-4a93-ab63-3983cfe80345":{"description":"Bad Request - Missing or invalid parameters","content":{"text/plain":{"schema":{"type":"string","example":"Invalid request body: - missing property 'model'\"","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"Invalid request body: - missing property 'model'\""}},"exampleType":"generated"},"application/json":{"schema":{"oneOf":[{"type":"object","title":"GeneralError","description":"other kind of errors","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"oneOf":[{"title":"code","type":"string","description":"error code","uniqueKey":"oneOf.0.error.code.oneOf.0","typeLabel":"string"},{"title":"code","type":"null","description":"error code","uniqueKey":"oneOf.0.error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.error.code","typeLabel":"string | null"},"message":{"title":"message","type":"string","description":"error message","uniqueKey":"oneOf.0.error.message","typeLabel":"string"},"param":{"oneOf":[{"title":"param","type":"string","description":"error params","uniqueKey":"oneOf.0.error.param.oneOf.0","typeLabel":"string"},{"title":"param","type":"null","description":"error params","uniqueKey":"oneOf.0.error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.error.param","typeLabel":"string | null"},"type":{"title":"type","type":"string","description":"error type","uniqueKey":"oneOf.0.error.type","typeLabel":"string"},"error_model_output":{"oneOf":[{"title":"Error Model Output","type":"string","description":"Raw model output that could not be parsed. Present on `server_error` responses when the model produced output that failed internal parsing (e.g. a malformed tool call JSON).","uniqueKey":"oneOf.0.error.error_model_output.oneOf.0","typeLabel":"string"},{"title":"Error Model Output","type":"null","description":"Raw model output that could not be parsed. Present on `server_error` responses when the model produced output that failed internal parsing (e.g. a malformed tool call JSON).","uniqueKey":"oneOf.0.error.error_model_output.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.error.error_model_output","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"object"},"request_id":{"oneOf":[{"title":"request_id","type":"string","description":"unique request identifier for debugging","uniqueKey":"oneOf.0.request_id.oneOf.0","typeLabel":"string"},{"title":"request_id","type":"null","description":"unique request identifier for debugging","uniqueKey":"oneOf.0.request_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.request_id","typeLabel":"string | null"}},"uniqueKey":"oneOf.0","typeLabel":"GeneralError · object"},{"type":"object","title":"SimpleError","description":"other kind of simple schema errors","required":["error"],"properties":{"error":{"oneOf":[{"title":"error","type":"string","description":"error detail.","isRequired":true,"uniqueKey":"oneOf.1.error.oneOf.0","typeLabel":"string"},{"title":"error","type":"null","description":"error detail.","isRequired":true,"uniqueKey":"oneOf.1.error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.error","typeLabel":"string | null"}},"uniqueKey":"oneOf.1","typeLabel":"SimpleError · object"}],"uniqueKey":"","typeLabel":"GeneralError · object | SimpleError · object"},"examples":{"missing_model":{"title":"missing_model","value":{"error":{"message":"you must provide a model parameter","type":"invalid_request_error","param":null,"code":null},"request_id":"a4fa849e"}},"invalid_json":{"title":"invalid_json","value":{"error":{"code":null,"message":"We could not parse the JSON body of your request. (HINT: This likely means you aren't using your HTTP library correctly. A JSON payload is expected, but what was sent was not valid JSON.)","param":null,"type":"invalid_request_error"},"request_id":"3f7db127"}},"simple":{"title":"simple","value":{"error":"Model name is required"}}},"exampleType":"examples"}},"exampleType":"examples"},"0547717c-d177-461e-b782-36899b37d1f0":{"description":"Unauthorized access","content":{"application/json":{"schema":{"title":"GeneralError","type":"object","description":"other kind of errors","properties":{"error":{"type":"object","properties":{"code":{"oneOf":[{"title":"code","type":"string","description":"error code","uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"title":"code","type":"null","description":"error code","uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | null"},"message":{"title":"message","type":"string","description":"error message","uniqueKey":"error.message","typeLabel":"string"},"param":{"oneOf":[{"title":"param","type":"string","description":"error params","uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"title":"param","type":"null","description":"error params","uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"},"type":{"title":"type","type":"string","description":"error type","uniqueKey":"error.type","typeLabel":"string"},"error_model_output":{"oneOf":[{"title":"Error Model Output","type":"string","description":"Raw model output that could not be parsed. Present on `server_error` responses when the model produced output that failed internal parsing (e.g. a malformed tool call JSON).","uniqueKey":"error.error_model_output.oneOf.0","typeLabel":"string"},{"title":"Error Model Output","type":"null","description":"Raw model output that could not be parsed. Present on `server_error` responses when the model produced output that failed internal parsing (e.g. a malformed tool call JSON).","uniqueKey":"error.error_model_output.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.error_model_output","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"request_id":{"oneOf":[{"title":"request_id","type":"string","description":"unique request identifier for debugging","uniqueKey":"request_id.oneOf.0","typeLabel":"string"},{"title":"request_id","type":"null","description":"unique request identifier for debugging","uniqueKey":"request_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"request_id","typeLabel":"string | null"}},"required":["error"],"uniqueKey":"","typeLabel":"GeneralError · object"},"examples":{"invalid_api_key":{"title":"invalid_api_key","value":{"error":{"message":"Incorrect API key provided: *****. You can find your API key at https://cloud.sambanova.ai/apis.","type":"invalid_request_error","param":null,"code":"invalid_api_key"},"request_id":"d79vcq57os633dverhi0"}},"missing_api_key":{"title":"missing_api_key","value":{"error":{"message":"You didn't provide an API key. You need to provide your API key in an Authorization header using Bearer auth (i.e. Authorization: Bearer YOUR_KEY).","type":"invalid_request_error","param":null,"code":null},"request_id":"d7a0dct7os633dvesi60"}}},"exampleType":"examples"}},"exampleType":"examples"},"8c6ad5f6-c3d3-4894-94e8-13aae289ac18":{"description":"Not found - model does not exist or wrong endpoint called","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"GeneralError","description":"other kind of errors","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"oneOf":[{"title":"code","type":"string","description":"error code","uniqueKey":"oneOf.0.error.code.oneOf.0","typeLabel":"string"},{"title":"code","type":"null","description":"error code","uniqueKey":"oneOf.0.error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.error.code","typeLabel":"string | null"},"message":{"title":"message","type":"string","description":"error message","uniqueKey":"oneOf.0.error.message","typeLabel":"string"},"param":{"oneOf":[{"title":"param","type":"string","description":"error params","uniqueKey":"oneOf.0.error.param.oneOf.0","typeLabel":"string"},{"title":"param","type":"null","description":"error params","uniqueKey":"oneOf.0.error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.error.param","typeLabel":"string | null"},"type":{"title":"type","type":"string","description":"error type","uniqueKey":"oneOf.0.error.type","typeLabel":"string"},"error_model_output":{"oneOf":[{"title":"Error Model Output","type":"string","description":"Raw model output that could not be parsed. Present on `server_error` responses when the model produced output that failed internal parsing (e.g. a malformed tool call JSON).","uniqueKey":"oneOf.0.error.error_model_output.oneOf.0","typeLabel":"string"},{"title":"Error Model Output","type":"null","description":"Raw model output that could not be parsed. Present on `server_error` responses when the model produced output that failed internal parsing (e.g. a malformed tool call JSON).","uniqueKey":"oneOf.0.error.error_model_output.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.error.error_model_output","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"object"},"request_id":{"oneOf":[{"title":"request_id","type":"string","description":"unique request identifier for debugging","uniqueKey":"oneOf.0.request_id.oneOf.0","typeLabel":"string"},{"title":"request_id","type":"null","description":"unique request identifier for debugging","uniqueKey":"oneOf.0.request_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.request_id","typeLabel":"string | null"}},"uniqueKey":"oneOf.0","typeLabel":"GeneralError · object"},{"type":"object","title":"SimpleError","description":"other kind of simple schema errors","required":["error"],"properties":{"error":{"oneOf":[{"title":"error","type":"string","description":"error detail.","isRequired":true,"uniqueKey":"oneOf.1.error.oneOf.0","typeLabel":"string"},{"title":"error","type":"null","description":"error detail.","isRequired":true,"uniqueKey":"oneOf.1.error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.error","typeLabel":"string | null"}},"uniqueKey":"oneOf.1","typeLabel":"SimpleError · object"}],"uniqueKey":"","typeLabel":"GeneralError · object | SimpleError · object"},"examples":{"model_not_found":{"title":"model_not_found","value":{"error":{"code":"model_not_found","message":"The model `abc` does not exist or you do not have access to it.","param":"model","type":"invalid_request_error"},"request_id":"887a8227"}},"simple":{"title":"simple","value":{"error":"Not found"}}},"exampleType":"examples"}},"exampleType":"examples"},"be7d94a6-defe-4fda-8396-a03a1548bf2d":{"description":"Request timeout","content":{"application/json":{"schema":{"title":"SimpleError","type":"object","description":"other kind of simple schema errors","properties":{"error":{"oneOf":[{"title":"error","type":"string","description":"error detail.","isRequired":true,"uniqueKey":"error.oneOf.0","typeLabel":"string"},{"title":"error","type":"null","description":"error detail.","isRequired":true,"uniqueKey":"error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error","typeLabel":"string | null"}},"required":["error"],"uniqueKey":"","typeLabel":"SimpleError · object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"9a0c4a00-fc9b-4136-8f7b-72f48375d76b":{"description":"Gone - model is no longer available (deprecated or removed)","content":{"application/json":{"schema":{"title":"SimpleError","type":"object","description":"other kind of simple schema errors","properties":{"error":{"oneOf":[{"title":"error","type":"string","description":"error detail.","isRequired":true,"uniqueKey":"error.oneOf.0","typeLabel":"string"},{"title":"error","type":"null","description":"error detail.","isRequired":true,"uniqueKey":"error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error","typeLabel":"string | null"}},"required":["error"],"uniqueKey":"","typeLabel":"SimpleError · object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"84fae0b0-762a-4664-9e38-562a614a9e1f":{"description":"Too Many Requests","content":{"application/json":{"schema":{"title":"GeneralError","type":"object","description":"other kind of errors","properties":{"error":{"type":"object","properties":{"code":{"oneOf":[{"title":"code","type":"string","description":"error code","uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"title":"code","type":"null","description":"error code","uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | null"},"message":{"title":"message","type":"string","description":"error message","uniqueKey":"error.message","typeLabel":"string"},"param":{"oneOf":[{"title":"param","type":"string","description":"error params","uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"title":"param","type":"null","description":"error params","uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"},"type":{"title":"type","type":"string","description":"error type","uniqueKey":"error.type","typeLabel":"string"},"error_model_output":{"oneOf":[{"title":"Error Model Output","type":"string","description":"Raw model output that could not be parsed. Present on `server_error` responses when the model produced output that failed internal parsing (e.g. a malformed tool call JSON).","uniqueKey":"error.error_model_output.oneOf.0","typeLabel":"string"},{"title":"Error Model Output","type":"null","description":"Raw model output that could not be parsed. Present on `server_error` responses when the model produced output that failed internal parsing (e.g. a malformed tool call JSON).","uniqueKey":"error.error_model_output.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.error_model_output","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"request_id":{"oneOf":[{"title":"request_id","type":"string","description":"unique request identifier for debugging","uniqueKey":"request_id.oneOf.0","typeLabel":"string"},{"title":"request_id","type":"null","description":"unique request identifier for debugging","uniqueKey":"request_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"request_id","typeLabel":"string | null"}},"required":["error"],"uniqueKey":"","typeLabel":"GeneralError · object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","param":"\u003cstring>","type":"\u003cstring>","error_model_output":"\u003cstring>"},"request_id":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"8f634e9b-95e3-4372-927d-3dfc67864219":{"description":"Internal Server Error. Unexpected issue on server side.","content":{"text/plain":{"schema":{"type":"string","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"\u003cstring>"}},"exampleType":"generated"}},"exampleType":"generated"},"465618e6-595e-49c7-8924-31b443367f20":{"description":"Service Temporarily Unavailable","content":{"text/plain":{"schema":{"type":"string","example":"Service Temporarily Unavailable","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"Service Temporarily Unavailable"}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"5f3ed750-d9a3-4f06-93fd-9499f6ae491c":{"api_key":{"type":"http","description":"SambaNova API key, sent as a bearer token in the `Authorization` header (`Authorization: Bearer \u003ckey>`). Default authentication scheme used by the SambaNova SDK across every OpenAI compatible endpoint.","scheme":"bearer","bearerFormat":"apiKey","scopes":[],"schemeName":"api_key"}}},"servers":{"b709db63-5fc4-4727-be6d-2a9dac334711":{"url":"https://api.sambanova.ai/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","description":"SambaNova API key, sent as a bearer token in the `Authorization` header (`Authorization: Bearer \u003ckey>`). Default authentication scheme used by the SambaNova SDK across every OpenAI compatible endpoint.","scheme":"bearer","bearerFormat":"apiKey","scopes":[],"schemeName":"api_key"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"SambaNova API key, sent as a bearer token in the `Authorization` header (`Authorization: Bearer \u003ckey>`). Default authentication scheme used by the SambaNova SDK across every OpenAI compatible endpoint.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"api_key","name":"Authorization"}],"title":"api_key"}]},"originalFileLocation":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json"},"subdomain":"sambanova-systems","siteName":"SambaNova Documentation","title":"Create embeddings - SambaNova Documentation","navMaps":{"firstHrefInVersion":{"v2.3.2":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v2.2.6":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v2.2.5":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v2.2.3":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v2.1.2":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v2.1.1":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v2.0.2":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v1.2.0":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v1.1.1":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v1.0.57":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"v0.5.17":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0}},"firstHrefInLanguage":{"en":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0},"ja":{"href":"/api-reference/embeddings/create-embeddings","matchLevel":0}}},"lastModified":"2026-11-12T13:29:12.000Z","originalFileLocation":"api-reference/embeddings/create-embeddings.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"SambaNova Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create embeddings - SambaNova Documentation\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"SambaNova Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://sambanova-systems.mintlify.site/docs/_mintlify/api/og/v2?division=Embeddings\u0026amp;title=Create+embeddings\u0026amp;theme=b0fade985727b879a050f159\u0026amp;signature=e0d2976cdb3f11079739899312abdf6793bdc523d5c1a1acc339d38196d4e656\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create embeddings - SambaNova Documentation\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://sambanova-systems.mintlify.site/docs/_mintlify/api/og/v2?division=Embeddings\u0026amp;title=Create+embeddings\u0026amp;theme=b0fade985727b879a050f159\u0026amp;signature=e0d2976cdb3f11079739899312abdf6793bdc523d5c1a1acc339d38196d4e656\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/sambanova-systems/tCkoeefWRScUtrir/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"SambaNova Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#974FC7\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/embeddings/create-embeddings.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.sambanova.ai/#organization\",\"name\":\"SambaNova Documentation\",\"url\":\"https://docs.sambanova.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/sambanova-systems/SM8Xs_Eg3x1tlCPk/logo/new-logo.png?fit=max\u0026auto=format\u0026n=SM8Xs_Eg3x1tlCPk\u0026q=85\u0026s=20f20c2369b8f043d9b2ffa55408fd8d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.sambanova.ai/docs#website\",\"name\":\"SambaNova Documentation\",\"url\":\"https://docs.sambanova.ai/docs\",\"publisher\":{\"@id\":\"https://docs.sambanova.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings#webpage\",\"url\":\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings\",\"name\":\"Create embeddings\",\"dateModified\":\"2026-11-12T13:29:12.000Z\",\"isPartOf\":{\"@id\":\"https://docs.sambanova.ai/docs#website\"},\"breadcrumb\":{\"@id\":\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Inference API\",\"item\":\"https://docs.sambanova.ai/docs/api-reference/chat-completions/create-chat-based-completion\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create embeddings\",\"item\":\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings#apireference\",\"headline\":\"Create embeddings\",\"name\":\"Create embeddings\",\"url\":\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings\",\"mainEntityOfPage\":{\"@id\":\"https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings#webpage\"},\"dateModified\":\"2026-11-12T13:29:12.000Z\",\"publisher\":{\"@id\":\"https://docs.sambanova.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.sambanova.ai/docs#website\"}}]}\u003c/script>","agentPointerHref":"/docs/api-reference/embeddings/create-embeddings.md","siteName":"SambaNova Documentation","nav":{"global":null,"versions":[{"version":"v2.3.2","tag":"Latest","languages":[{"language":"en","tabs":[{"tab":"Developer guide","pages":[{"title":"Developer guide","href":"/en/get-started/overview"}]},{"tab":"API reference","groups":[{"group":"Overview","pages":[{"sidebarTitle":"API Reference","title":"SambaNova API reference","mode":"wide","href":"/en/api-reference/overview"}]},{"group":"Inference API","pages":[{"group":"Chat completions","pages":[{"title":"Create chat-based completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /chat/completions","href":"/api-reference/chat-completions/create-chat-based-completion"}]},{"group":"Completions","pages":[{"title":"Create completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /completions","href":"/api-reference/completions/create-completion"}]},{"group":"Responses","pages":[{"title":"Create a model response","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /responses","href":"/api-reference/responses/create-a-model-response"}]},{"group":"Messages","pages":[{"title":"Create a message","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages","href":"/api-reference/messages/create-a-message"},{"title":"Count tokens for a message request","description":"Anthropic `count_tokens` compatible endpoint. Returns the number of input tokens that would be consumed by a `POST /messages` call with the same prompt content (system, messages, tools, tool_choice). Authentication accepts either the bearer `Authorization: Bearer \u003ckey>` header (SambaNova SDK default) or the `x-api-key` header (Anthropic SDK default); the same API key is used in both cases.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages/count_tokens","href":"/api-reference/messages/count-tokens-for-a-message-request"}]},{"group":"Embeddings","pages":[{"title":"Create embeddings","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /embeddings","href":"/api-reference/embeddings/create-embeddings"}]},{"group":"Audio","pages":[{"title":"Transcribes audio into the input language.","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/transcriptions","href":"/api-reference/audio/transcribes-audio-into-the-input-language"},{"title":"Translate audio into English.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/translations","href":"/api-reference/audio/translate-audio-into-english"}]},{"group":"Models","pages":[{"title":"Get environment's available model list metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models","href":"/api-reference/models/get-environments-available-model-list-metadata"},{"title":"Get environment's available model metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models/{model_id}","href":"/api-reference/models/get-environments-available-model-metadata"}]}]},{"group":"Chat Agents API","pages":[{"sidebarTitle":"Overview","title":"Chat agents API overview","mode":"wide","href":"/en/agents-api-reference/overview"},{"group":"Main Agent","pages":[{"title":"Main Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent","href":"/api-reference/main-agent/main-agent"}]},{"group":"Main Agent Interactive","pages":[{"title":"Main Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent/interactive","href":"/api-reference/main-agent-interactive/main-agent-interactive"}]},{"group":"Subagents","pages":[{"title":"Coding Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding","href":"/api-reference/subagents/coding-agent"},{"title":"Datascience Agent And Report","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience","href":"/api-reference/subagents/datascience-agent-and-report"},{"title":"Deepresearch Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch","href":"/api-reference/subagents/deepresearch-agent"},{"title":"Financial Analysis Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/financialanalysis","href":"/api-reference/subagents/financial-analysis-agent"}]},{"group":"Subagents Interactive","pages":[{"title":"Coding Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding/interactive","href":"/api-reference/subagents-interactive/coding-agent-interactive"},{"title":"Datascience Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience/interactive","href":"/api-reference/subagents-interactive/datascience-interactive"},{"title":"Deepresearch Interactive Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch/interactive","href":"/api-reference/subagents-interactive/deepresearch-interactive-agent"},{"title":"Financial Analysis Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/financialanalysis/interactive","href":"/api-reference/subagents-interactive/financial-analysis-agent-interactive"}]},{"group":"File Management","pages":[{"title":"Download Agent File","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml get /agent/files/{file_id}","href":"/api-reference/file-management/download-agent-file"}]}]},{"group":"Using the API","pages":[{"sidebarTitle":"API Error Codes","title":"API error codes","href":"/en/api-reference/using-the-api/api-error-codes"}]}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/en/integrations/overview"}]},{"tab":"SambaStack","pages":[{"title":"SambaStack","href":"/en/v2.3.2/sambastack/getting-started/introduction"}]},{"tab":"Release notes","pages":[{"title":"Release notes","href":"/en/release-notes/overview"}]}]},{"language":"ja","tabs":[{"tab":"開発者ガイド","pages":[{"title":"開発者ガイド","href":"/ja/get-started/overview"}]},{"tab":"API リファレンス","groups":[{"group":"概要","pages":[{"sidebarTitle":"API リファレンス","title":"SambaNova API リファレンス","mode":"wide","href":"/ja/api-reference/overview"}]},{"group":"推論 API (英語)","pages":[{"group":"Chat completions","pages":[{"title":"Create chat-based completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /chat/completions","href":"/api-reference/chat-completions/create-chat-based-completion"}]},{"group":"Completions","pages":[{"title":"Create completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /completions","href":"/api-reference/completions/create-completion"}]},{"group":"Responses","pages":[{"title":"Create a model response","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /responses","href":"/api-reference/responses/create-a-model-response"}]},{"group":"Messages","pages":[{"title":"Create a message","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages","href":"/api-reference/messages/create-a-message"},{"title":"Count tokens for a message request","description":"Anthropic `count_tokens` compatible endpoint. Returns the number of input tokens that would be consumed by a `POST /messages` call with the same prompt content (system, messages, tools, tool_choice). Authentication accepts either the bearer `Authorization: Bearer \u003ckey>` header (SambaNova SDK default) or the `x-api-key` header (Anthropic SDK default); the same API key is used in both cases.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages/count_tokens","href":"/api-reference/messages/count-tokens-for-a-message-request"}]},{"group":"Embeddings","pages":[{"title":"Create embeddings","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /embeddings","href":"/api-reference/embeddings/create-embeddings"}]},{"group":"Audio","pages":[{"title":"Transcribes audio into the input language.","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/transcriptions","href":"/api-reference/audio/transcribes-audio-into-the-input-language"},{"title":"Translate audio into English.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/translations","href":"/api-reference/audio/translate-audio-into-english"}]},{"group":"Models","pages":[{"title":"Get environment's available model list metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models","href":"/api-reference/models/get-environments-available-model-list-metadata"},{"title":"Get environment's available model metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models/{model_id}","href":"/api-reference/models/get-environments-available-model-metadata"}]}]},{"group":"Chat Agents API (英語)","pages":[{"sidebarTitle":"概要","title":"チャットエージェント API の概要","mode":"wide","href":"/ja/agents-api-reference/overview"},{"group":"Main Agent","pages":[{"title":"Main Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent","href":"/api-reference/main-agent/main-agent"}]},{"group":"Main Agent Interactive","pages":[{"title":"Main Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent/interactive","href":"/api-reference/main-agent-interactive/main-agent-interactive"}]},{"group":"Subagents","pages":[{"title":"Coding Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding","href":"/api-reference/subagents/coding-agent"},{"title":"Datascience Agent And Report","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience","href":"/api-reference/subagents/datascience-agent-and-report"},{"title":"Deepresearch Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch","href":"/api-reference/subagents/deepresearch-agent"},{"title":"Financial Analysis Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/financialanalysis","href":"/api-reference/subagents/financial-analysis-agent"}]},{"group":"Subagents Interactive","pages":[{"title":"Coding Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding/interactive","href":"/api-reference/subagents-interactive/coding-agent-interactive"},{"title":"Datascience Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience/interactive","href":"/api-reference/subagents-interactive/datascience-interactive"},{"title":"Deepresearch Interactive Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch/interactive","href":"/api-reference/subagents-interactive/deepresearch-interactive-agent"},{"title":"Financial Analysis Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/financialanalysis/interactive","href":"/api-reference/subagents-interactive/financial-analysis-agent-interactive"}]},{"group":"File Management","pages":[{"title":"Download Agent File","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml get /agent/files/{file_id}","href":"/api-reference/file-management/download-agent-file"}]}]},{"group":"API の使用","pages":[{"sidebarTitle":"API エラーコード","title":"API エラーコード","href":"/ja/api-reference/using-the-api/api-error-codes"}]}]},{"tab":"外部ツール連携","pages":[{"title":"外部ツール連携","href":"/ja/integrations/overview"}]},{"tab":"SambaStack","pages":[{"title":"SambaStack","href":"/ja/v2.2.6/sambastack/getting-started/introduction"}]},{"tab":"リリースノート","pages":[{"title":"リリースノート","href":"/ja/release-notes/overview"}]}]}]},{"version":"v2.2.6","languages":[{"language":"en","tabs":[{"tab":"Developer guide","pages":[{"title":"Developer guide","href":"/en/get-started/overview"}]},{"tab":"API reference","groups":[{"group":"Overview","pages":[{"sidebarTitle":"API Reference","title":"SambaNova API reference","mode":"wide","href":"/en/api-reference/overview"}]},{"group":"Inference API","pages":[{"group":"Chat completions","pages":[{"title":"Create chat-based completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /chat/completions","href":"/api-reference/chat-completions/create-chat-based-completion"}]},{"group":"Completions","pages":[{"title":"Create completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /completions","href":"/api-reference/completions/create-completion"}]},{"group":"Responses","pages":[{"title":"Create a model response","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /responses","href":"/api-reference/responses/create-a-model-response"}]},{"group":"Messages","pages":[{"title":"Create a message","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages","href":"/api-reference/messages/create-a-message"},{"title":"Count tokens for a message request","description":"Anthropic `count_tokens` compatible endpoint. Returns the number of input tokens that would be consumed by a `POST /messages` call with the same prompt content (system, messages, tools, tool_choice). Authentication accepts either the bearer `Authorization: Bearer \u003ckey>` header (SambaNova SDK default) or the `x-api-key` header (Anthropic SDK default); the same API key is used in both cases.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages/count_tokens","href":"/api-reference/messages/count-tokens-for-a-message-request"}]},{"group":"Embeddings","pages":[{"title":"Create embeddings","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /embeddings","href":"/api-reference/embeddings/create-embeddings"}]},{"group":"Audio","pages":[{"title":"Transcribes audio into the input language.","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/transcriptions","href":"/api-reference/audio/transcribes-audio-into-the-input-language"},{"title":"Translate audio into English.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/translations","href":"/api-reference/audio/translate-audio-into-english"}]},{"group":"Models","pages":[{"title":"Get environment's available model list metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models","href":"/api-reference/models/get-environments-available-model-list-metadata"},{"title":"Get environment's available model metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models/{model_id}","href":"/api-reference/models/get-environments-available-model-metadata"}]}]},{"group":"Chat Agents API","pages":[{"sidebarTitle":"Overview","title":"Chat agents API overview","mode":"wide","href":"/en/agents-api-reference/overview"},{"group":"Main Agent","pages":[{"title":"Main Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent","href":"/api-reference/main-agent/main-agent"}]},{"group":"Main Agent Interactive","pages":[{"title":"Main Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent/interactive","href":"/api-reference/main-agent-interactive/main-agent-interactive"}]},{"group":"Subagents","pages":[{"title":"Coding Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding","href":"/api-reference/subagents/coding-agent"},{"title":"Datascience Agent And Report","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience","href":"/api-reference/subagents/datascience-agent-and-report"},{"title":"Deepresearch Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch","href":"/api-reference/subagents/deepresearch-agent"},{"title":"Financial Analysis Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/financialanalysis","href":"/api-reference/subagents/financial-analysis-agent"}]},{"group":"Subagents Interactive","pages":[{"title":"Coding Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding/interactive","href":"/api-reference/subagents-interactive/coding-agent-interactive"},{"title":"Datascience Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience/interactive","href":"/api-reference/subagents-interactive/datascience-interactive"},{"title":"Deepresearch Interactive Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch/interactive","href":"/api-reference/subagents-interactive/deepresearch-interactive-agent"},{"title":"Financial Analysis Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/financialanalysis/interactive","href":"/api-reference/subagents-interactive/financial-analysis-agent-interactive"}]},{"group":"File Management","pages":[{"title":"Download Agent File","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml get /agent/files/{file_id}","href":"/api-reference/file-management/download-agent-file"}]}]},{"group":"Using the API","pages":[{"sidebarTitle":"API Error Codes","title":"API error codes","href":"/en/api-reference/using-the-api/api-error-codes"}]}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/en/integrations/overview"}]},{"tab":"SambaStack","pages":[{"title":"SambaStack","href":"/en/v2.2.6/sambastack/getting-started/introduction"}]},{"tab":"Release notes","pages":[{"title":"Release notes","href":"/en/release-notes/overview"}]}]},{"language":"ja","tabs":[{"tab":"開発者ガイド","pages":[{"title":"開発者ガイド","href":"/ja/get-started/overview"}]},{"tab":"API リファレンス","groups":[{"group":"概要","pages":[{"sidebarTitle":"API リファレンス","title":"SambaNova API リファレンス","mode":"wide","href":"/ja/api-reference/overview"}]},{"group":"推論 API (英語)","pages":[{"group":"Chat completions","pages":[{"title":"Create chat-based completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /chat/completions","href":"/api-reference/chat-completions/create-chat-based-completion"}]},{"group":"Completions","pages":[{"title":"Create completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /completions","href":"/api-reference/completions/create-completion"}]},{"group":"Responses","pages":[{"title":"Create a model response","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /responses","href":"/api-reference/responses/create-a-model-response"}]},{"group":"Messages","pages":[{"title":"Create a message","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages","href":"/api-reference/messages/create-a-message"},{"title":"Count tokens for a message request","description":"Anthropic `count_tokens` compatible endpoint. Returns the number of input tokens that would be consumed by a `POST /messages` call with the same prompt content (system, messages, tools, tool_choice). Authentication accepts either the bearer `Authorization: Bearer \u003ckey>` header (SambaNova SDK default) or the `x-api-key` header (Anthropic SDK default); the same API key is used in both cases.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages/count_tokens","href":"/api-reference/messages/count-tokens-for-a-message-request"}]},{"group":"Embeddings","pages":[{"title":"Create embeddings","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /embeddings","href":"/api-reference/embeddings/create-embeddings"}]},{"group":"Audio","pages":[{"title":"Transcribes audio into the input language.","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/transcriptions","href":"/api-reference/audio/transcribes-audio-into-the-input-language"},{"title":"Translate audio into English.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/translations","href":"/api-reference/audio/translate-audio-into-english"}]},{"group":"Models","pages":[{"title":"Get environment's available model list metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models","href":"/api-reference/models/get-environments-available-model-list-metadata"},{"title":"Get environment's available model metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models/{model_id}","href":"/api-reference/models/get-environments-available-model-metadata"}]}]},{"group":"Chat Agents API (英語)","pages":[{"sidebarTitle":"概要","title":"チャットエージェント API の概要","mode":"wide","href":"/ja/agents-api-reference/overview"},{"group":"Main Agent","pages":[{"title":"Main Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent","href":"/api-reference/main-agent/main-agent"}]},{"group":"Main Agent Interactive","pages":[{"title":"Main Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent/interactive","href":"/api-reference/main-agent-interactive/main-agent-interactive"}]},{"group":"Subagents","pages":[{"title":"Coding Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding","href":"/api-reference/subagents/coding-agent"},{"title":"Datascience Agent And Report","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience","href":"/api-reference/subagents/datascience-agent-and-report"},{"title":"Deepresearch Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch","href":"/api-reference/subagents/deepresearch-agent"},{"title":"Financial Analysis Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/financialanalysis","href":"/api-reference/subagents/financial-analysis-agent"}]},{"group":"Subagents Interactive","pages":[{"title":"Coding Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding/interactive","href":"/api-reference/subagents-interactive/coding-agent-interactive"},{"title":"Datascience Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience/interactive","href":"/api-reference/subagents-interactive/datascience-interactive"},{"title":"Deepresearch Interactive Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch/interactive","href":"/api-reference/subagents-interactive/deepresearch-interactive-agent"},{"title":"Financial Analysis Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/financialanalysis/interactive","href":"/api-reference/subagents-interactive/financial-analysis-agent-interactive"}]},{"group":"File Management","pages":[{"title":"Download Agent File","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml get /agent/files/{file_id}","href":"/api-reference/file-management/download-agent-file"}]}]},{"group":"API の使用","pages":[{"sidebarTitle":"API エラーコード","title":"API エラーコード","href":"/ja/api-reference/using-the-api/api-error-codes"}]}]},{"tab":"外部ツール連携","pages":[{"title":"外部ツール連携","href":"/ja/integrations/overview"}]},{"tab":"SambaStack","pages":[{"title":"SambaStack","href":"/ja/v2.2.6/sambastack/getting-started/introduction"}]},{"tab":"リリースノート","pages":[{"title":"リリースノート","href":"/ja/release-notes/overview"}]}]}]},{"version":"v2.2.5","languages":[{"language":"en","tabs":[{"tab":"Developer guide","pages":[{"title":"Developer guide","href":"/en/get-started/overview"}]},{"tab":"API reference","groups":[{"group":"Overview","pages":[{"sidebarTitle":"API Reference","title":"SambaNova API reference","mode":"wide","href":"/en/api-reference/overview"}]},{"group":"Inference API","pages":[{"group":"Chat completions","pages":[{"title":"Create chat-based completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /chat/completions","href":"/api-reference/chat-completions/create-chat-based-completion"}]},{"group":"Completions","pages":[{"title":"Create completion","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /completions","href":"/api-reference/completions/create-completion"}]},{"group":"Responses","pages":[{"title":"Create a model response","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /responses","href":"/api-reference/responses/create-a-model-response"}]},{"group":"Messages","pages":[{"title":"Create a message","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages","href":"/api-reference/messages/create-a-message"},{"title":"Count tokens for a message request","description":"Anthropic `count_tokens` compatible endpoint. Returns the number of input tokens that would be consumed by a `POST /messages` call with the same prompt content (system, messages, tools, tool_choice). Authentication accepts either the bearer `Authorization: Bearer \u003ckey>` header (SambaNova SDK default) or the `x-api-key` header (Anthropic SDK default); the same API key is used in both cases.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /messages/count_tokens","href":"/api-reference/messages/count-tokens-for-a-message-request"}]},{"group":"Embeddings","pages":[{"title":"Create embeddings","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /embeddings","href":"/api-reference/embeddings/create-embeddings"}]},{"group":"Audio","pages":[{"title":"Transcribes audio into the input language.","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/transcriptions","href":"/api-reference/audio/transcribes-audio-into-the-input-language"},{"title":"Translate audio into English.","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /audio/translations","href":"/api-reference/audio/translate-audio-into-english"}]},{"group":"Models","pages":[{"title":"Get environment's available model list metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models","href":"/api-reference/models/get-environments-available-model-list-metadata"},{"title":"Get environment's available model metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json get /models/{model_id}","href":"/api-reference/models/get-environments-available-model-metadata"}]}]},{"group":"Chat Agents API","pages":[{"sidebarTitle":"Overview","title":"Chat agents API overview","mode":"wide","href":"/en/agents-api-reference/overview"},{"group":"Main Agent","pages":[{"title":"Main Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent","href":"/api-reference/main-agent/main-agent"}]},{"group":"Main Agent Interactive","pages":[{"title":"Main Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/mainagent/interactive","href":"/api-reference/main-agent-interactive/main-agent-interactive"}]},{"group":"Subagents","pages":[{"title":"Coding Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding","href":"/api-reference/subagents/coding-agent"},{"title":"Datascience Agent And Report","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience","href":"/api-reference/subagents/datascience-agent-and-report"},{"title":"Deepresearch Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch","href":"/api-reference/subagents/deepresearch-agent"},{"title":"Financial Analysis Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/financialanalysis","href":"/api-reference/subagents/financial-analysis-agent"}]},{"group":"Subagents Interactive","pages":[{"title":"Coding Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/coding/interactive","href":"/api-reference/subagents-interactive/coding-agent-interactive"},{"title":"Datascience Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/datascience/interactive","href":"/api-reference/subagents-interactive/datascience-interactive"},{"title":"Deepresearch Interactive Agent","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch/interactive","href":"/api-reference/subagents-interactive/deepresearch-interactive-agent"},{"title":"Financial Analysis Agent Interactive","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml 
[...]
